@echo off
@rem **** Netiyhenduse ultimate test. By Creature ***

:ise
ping localhost >c:\kirjuta\nettstmp.txt
find "TTL=" c:\kirjuta\nettstmp.txt >NUL
IF NOT ERRORLEVEL 1 goto korras5
echo Localhost	 pole k2ttesaadav
goto eesti

:korras5
echo Localhost 	on k2ttesaadav
:eesti
ping -n 2 www.ee >c:\kirjuta\nettstmp.txt
find "TTL=" c:\kirjuta\nettstmp.txt >NUL
IF NOT ERRORLEVEL 1 goto korras1
echo Eesti 		pole k2ttesaadav (www.ee)
goto valismaa

:korras1
echo Eesti 		on k2ttesaadav (www.ee)
:valismaa
ping -n 2 google.com >c:\kirjuta\nettstmp.txt
find "TTL=" c:\kirjuta\nettstmp.txt >NUL
IF NOT ERRORLEVEL 1 goto korras2
echo V2lismaa pole k2ttesaadav (google.com)
goto firewall

:korras2
echo V2lismaa 	on k2ttesaadav (google.com)
:firewall
ping -n 1 192.168.0.1 >c:\kirjuta\nettstmp.txt
find "TTL=" c:\kirjuta\nettstmp.txt >NUL
IF NOT ERRORLEVEL 1 goto korras3
echo TMK Firewall pole k2ttesaadav (192.168.0.1)
goto angel

:korras3
echo TMK Firewall 	on k2ttesaadav (192.168.0.1)
:angel
ping -n 1 192.168.0.3 >c:\kirjuta\nettstmp.txt
find "TTL=" c:\kirjuta\nettstmp.txt >NUL
IF NOT ERRORLEVEL 1 goto korras4
echo TMK Angel 	pole k2ttesaadav (192.168.0.3)
goto end

:korras4
echo TMK Angel 	on k2ttesaadav (192.168.0.3)

:end
pause